<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('property::property.name') !!} <small> {!! trans('app.manage') !!} {!! trans('property::property.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('property::property.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='property-property-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('property/property')!!}">{!! trans('property::property.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('property/property?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('property/property?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('property/property/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('property::admin.property.partial.actions')
                    -->
                    @include('property::admin.property.partial.filter')
                    @include('property::admin.property.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="property-property-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="property-property-check-all"></th>
                        <th data-field="country_id">{!! trans('property::property.label.country_id')!!}</th>
                    <th data-field="state_id">{!! trans('property::property.label.state_id')!!}</th>
                    <th data-field="district_id">{!! trans('property::property.label.district_id')!!}</th>
                    <th data-field="city_id">{!! trans('property::property.label.city_id')!!}</th>
                    <th data-field="location_id">{!! trans('property::property.label.location_id')!!}</th>
                    <th data-field="category_id">{!! trans('property::property.label.category_id')!!}</th>
                    <th data-field="sort_order">{!! trans('property::property.label.sort_order')!!}</th>
                    <th data-field="code">{!! trans('property::property.label.code')!!}</th>
                    <th data-field="title">{!! trans('property::property.label.title')!!}</th>
                    <th data-field="description">{!! trans('property::property.label.description')!!}</th>
                    <th data-field="published">{!! trans('property::property.label.published')!!}</th>
                    <th data-field="publish_status">{!! trans('property::property.label.publish_status')!!}</th>
                    <th data-field="year">{!! trans('property::property.label.year')!!}</th>
                    <th data-field="property_for">{!! trans('property::property.label.property_for')!!}</th>
                    <th data-field="label">{!! trans('property::property.label.label')!!}</th>
                    <th data-field="price">{!! trans('property::property.label.price')!!}</th>
                    <th data-field="plan_name">{!! trans('property::property.label.plan_name')!!}</th>
                    <th data-field="amount">{!! trans('property::property.label.amount')!!}</th>
                    <th data-field="pay_frequency">{!! trans('property::property.label.pay_frequency')!!}</th>
                    <th data-field="images">{!! trans('property::property.label.images')!!}</th>
                    <th data-field="area">{!! trans('property::property.label.area')!!}</th>
                    <th data-field="size_prefix">{!! trans('property::property.label.size_prefix')!!}</th>
                    <th data-field="land_area_size_prefix">{!! trans('property::property.label.land_area_size_prefix')!!}</th>
                    <th data-field="area_type">{!! trans('property::property.label.area_type')!!}</th>
                    <th data-field="owner_type">{!! trans('property::property.label.owner_type')!!}</th>
                    <th data-field="bedrooms">{!! trans('property::property.label.bedrooms')!!}</th>
                    <th data-field="bathrooms">{!! trans('property::property.label.bathrooms')!!}</th>
                    <th data-field="garages">{!! trans('property::property.label.garages')!!}</th>
                    <th data-field="garage_size">{!! trans('property::property.label.garage_size')!!}</th>
                    <th data-field="water_source">{!! trans('property::property.label.water_source')!!}</th>
                    <th data-field="furnishing">{!! trans('property::property.label.furnishing')!!}</th>
                    <th data-field="no_balcony">{!! trans('property::property.label.no_balcony')!!}</th>
                    <th data-field="address">{!! trans('property::property.label.address')!!}</th>
                    <th data-field="neighbourhood">{!! trans('property::property.label.neighbourhood')!!}</th>
                    <th data-field="zip_code">{!! trans('property::property.label.zip_code')!!}</th>
                    <th data-field="locality">{!! trans('property::property.label.locality')!!}</th>
                    <th data-field="features">{!! trans('property::property.label.features')!!}</th>
                    <th data-field="slider">{!! trans('property::property.label.slider')!!}</th>
                    <th data-field="featured">{!! trans('property::property.label.featured')!!}</th>
                    <th data-field="hotprop_order">{!! trans('property::property.label.hotprop_order')!!}</th>
                    <th data-field="premium">{!! trans('property::property.label.premium')!!}</th>
                    <th data-field="email_alert">{!! trans('property::property.label.email_alert')!!}</th>
                    <th data-field="photo_count">{!! trans('property::property.label.photo_count')!!}</th>
                    <th data-field="validity">{!! trans('property::property.label.validity')!!}</th>
                    <th data-field="visibility">{!! trans('property::property.label.visibility')!!}</th>
                    <th data-field="video_embed">{!! trans('property::property.label.video_embed')!!}</th>
                    <th data-field="payment_status">{!! trans('property::property.label.payment_status')!!}</th>
                    <th data-field="latitude">{!! trans('property::property.label.latitude')!!}</th>
                    <th data-field="longitude">{!! trans('property::property.label.longitude')!!}</th>
                    <th data-field="posting_type">{!! trans('property::property.label.posting_type')!!}</th>
                    <th data-field="listing_plan">{!! trans('property::property.label.listing_plan')!!}</th>
                    <th data-field="plan_visibility">{!! trans('property::property.label.plan_visibility')!!}</th>
                    <th data-field="contact_mail">{!! trans('property::property.label.contact_mail')!!}</th>
                    <th data-field="parking_no">{!! trans('property::property.label.parking_no')!!}</th>
                    <th data-field="website">{!! trans('property::property.label.website')!!}</th>
                    <th data-field="phone">{!! trans('property::property.label.phone')!!}</th>
                    <th data-field="mobile">{!! trans('property::property.label.mobile')!!}</th>
                    <th data-field="contact_name">{!! trans('property::property.label.contact_name')!!}</th>
                    <th data-field="region">{!! trans('property::property.label.region')!!}</th>
                    <th data-field="category_id1">{!! trans('property::property.label.category_id1')!!}</th>
                    <th data-field="prop_age">{!! trans('property::property.label.prop_age')!!}</th>
                    <th data-field="prop_status">{!! trans('property::property.label.prop_status')!!}</th>
                    <th data-field="overview">{!! trans('property::property.label.overview')!!}</th>
                    <th data-field="video">{!! trans('property::property.label.video')!!}</th>
                    <th data-field="video_status">{!! trans('property::property.label.video_status')!!}</th>
                    <th data-field="facilities">{!! trans('property::property.label.facilities')!!}</th>
                    <th data-field="landmarks">{!! trans('property::property.label.landmarks')!!}</th>
                    <th data-field="sellunit">{!! trans('property::property.label.sellunit')!!}</th>
                    <th data-field="price_negotiable">{!! trans('property::property.label.price_negotiable')!!}</th>
                    <th data-field="admin_status">{!! trans('property::property.label.admin_status')!!}</th>
                    <th data-field="paid_status">{!! trans('property::property.label.paid_status')!!}</th>
                    <th data-field="direct_contact">{!! trans('property::property.label.direct_contact')!!}</th>
                    <th data-field="posted_date">{!! trans('property::property.label.posted_date')!!}</th>
                    <th data-field="expire_date">{!! trans('property::property.label.expire_date')!!}</th>
                    <th data-field="manage_type">{!! trans('property::property.label.manage_type')!!}</th>
                    <th data-field="buildup_area">{!! trans('property::property.label.buildup_area')!!}</th>
                    <th data-field="buildup_unit">{!! trans('property::property.label.buildup_unit')!!}</th>
                    <th data-field="plot_area">{!! trans('property::property.label.plot_area')!!}</th>
                    <th data-field="plot_unit">{!! trans('property::property.label.plot_unit')!!}</th>
                    <th data-field="land_area">{!! trans('property::property.label.land_area')!!}</th>
                    <th data-field="land_unit">{!! trans('property::property.label.land_unit')!!}</th>
                    <th data-field="meta_title">{!! trans('property::property.label.meta_title')!!}</th>
                    <th data-field="meta_keyword">{!! trans('property::property.label.meta_keyword')!!}</th>
                    <th data-field="meta_description">{!! trans('property::property.label.meta_description')!!}</th>
                    <th data-field="city1">{!! trans('property::property.label.city1')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#property-property-entry', '{!!guard_url('property/property/0')!!}');
    oTable = $('#property-property-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('property/property') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'country_id'},
            {data :'state_id'},
            {data :'district_id'},
            {data :'city_id'},
            {data :'location_id'},
            {data :'category_id'},
            {data :'sort_order'},
            {data :'code'},
            {data :'title'},
            {data :'description'},
            {data :'published'},
            {data :'publish_status'},
            {data :'year'},
            {data :'property_for'},
            {data :'label'},
            {data :'price'},
            {data :'plan_name'},
            {data :'amount'},
            {data :'pay_frequency'},
            {data :'images'},
            {data :'area'},
            {data :'size_prefix'},
            {data :'land_area_size_prefix'},
            {data :'area_type'},
            {data :'owner_type'},
            {data :'bedrooms'},
            {data :'bathrooms'},
            {data :'garages'},
            {data :'garage_size'},
            {data :'water_source'},
            {data :'furnishing'},
            {data :'no_balcony'},
            {data :'address'},
            {data :'neighbourhood'},
            {data :'zip_code'},
            {data :'locality'},
            {data :'features'},
            {data :'slider'},
            {data :'featured'},
            {data :'hotprop_order'},
            {data :'premium'},
            {data :'email_alert'},
            {data :'photo_count'},
            {data :'validity'},
            {data :'visibility'},
            {data :'video_embed'},
            {data :'payment_status'},
            {data :'latitude'},
            {data :'longitude'},
            {data :'posting_type'},
            {data :'listing_plan'},
            {data :'plan_visibility'},
            {data :'contact_mail'},
            {data :'parking_no'},
            {data :'website'},
            {data :'phone'},
            {data :'mobile'},
            {data :'contact_name'},
            {data :'region'},
            {data :'category_id1'},
            {data :'prop_age'},
            {data :'prop_status'},
            {data :'overview'},
            {data :'video'},
            {data :'video_status'},
            {data :'facilities'},
            {data :'landmarks'},
            {data :'sellunit'},
            {data :'price_negotiable'},
            {data :'admin_status'},
            {data :'paid_status'},
            {data :'direct_contact'},
            {data :'posted_date'},
            {data :'expire_date'},
            {data :'manage_type'},
            {data :'buildup_area'},
            {data :'buildup_unit'},
            {data :'plot_area'},
            {data :'plot_unit'},
            {data :'land_area'},
            {data :'land_unit'},
            {data :'meta_title'},
            {data :'meta_keyword'},
            {data :'meta_description'},
            {data :'city1'},
        ],
        "pageLength": 25
    });

    $('#property-property-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#property-property-list').DataTable().row( this ).data();
        $('#property-property-entry').load('{!!guard_url('property/property')!!}' + '/' + d.id);
    });

    $('#property-property-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#property-property-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#property-property-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#property-property-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>