<div class="btn-group property-property">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[country_id]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.country_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[country_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[state_id]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.state_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[state_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[district_id]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.district_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[district_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[city_id]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.city_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[city_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[location_id]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.location_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[location_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[category_id]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.category_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[category_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[sort_order]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.sort_order')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[sort_order]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[code]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.code')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[code]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[title]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.title')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[title]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[description]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.description')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[description]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[published]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.published')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[published]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[publish_status]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.publish_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[publish_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[year]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.year')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[year]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[property_for]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.property_for')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[property_for]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[label]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.label')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[label]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[price]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.price')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[price]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[plan_name]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.plan_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[plan_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[amount]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.amount')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[amount]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[pay_frequency]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.pay_frequency')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[pay_frequency]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[images]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.images')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[images]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[area]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.area')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[area]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[size_prefix]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.size_prefix')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[size_prefix]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[land_area_size_prefix]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.land_area_size_prefix')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[land_area_size_prefix]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[area_type]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.area_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[area_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[owner_type]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.owner_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[owner_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[bedrooms]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.bedrooms')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[bedrooms]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[bathrooms]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.bathrooms')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[bathrooms]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[garages]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.garages')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[garages]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[garage_size]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.garage_size')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[garage_size]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[water_source]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.water_source')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[water_source]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[furnishing]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.furnishing')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[furnishing]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[no_balcony]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.no_balcony')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[no_balcony]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[address]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.address')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[address]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[neighbourhood]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.neighbourhood')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[neighbourhood]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[zip_code]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.zip_code')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[zip_code]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[locality]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.locality')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[locality]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[features]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.features')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[features]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[slider]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.slider')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[slider]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[featured]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.featured')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[featured]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[hotprop_order]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.hotprop_order')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[hotprop_order]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[premium]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.premium')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[premium]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[email_alert]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.email_alert')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[email_alert]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[photo_count]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.photo_count')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[photo_count]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[validity]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.validity')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[validity]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[visibility]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.visibility')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[visibility]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[video_embed]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.video_embed')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[video_embed]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payment_status]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.payment_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payment_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[latitude]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.latitude')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[latitude]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[longitude]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.longitude')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[longitude]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[posting_type]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.posting_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[posting_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[listing_plan]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.listing_plan')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[listing_plan]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[plan_visibility]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.plan_visibility')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[plan_visibility]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_mail]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.contact_mail')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_mail]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[parking_no]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.parking_no')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[parking_no]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[website]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.website')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[website]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[phone]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[mobile]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.mobile')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[mobile]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_name]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.contact_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[region]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.region')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[region]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[category_id1]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.category_id1')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[category_id1]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[prop_age]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.prop_age')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[prop_age]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[prop_status]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.prop_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[prop_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[overview]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.overview')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[overview]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[video]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.video')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[video]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[video_status]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.video_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[video_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[facilities]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.facilities')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[facilities]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[landmarks]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.landmarks')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[landmarks]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[sellunit]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.sellunit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[sellunit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[price_negotiable]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.price_negotiable')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[price_negotiable]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[admin_status]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.admin_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[admin_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[paid_status]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.paid_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[paid_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[direct_contact]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.direct_contact')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[direct_contact]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[posted_date]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.posted_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[posted_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[expire_date]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.expire_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[expire_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manage_type]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.manage_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manage_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[buildup_area]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.buildup_area')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[buildup_area]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[buildup_unit]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.buildup_unit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[buildup_unit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[plot_area]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.plot_area')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[plot_area]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[plot_unit]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.plot_unit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[plot_unit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[land_area]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.land_area')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[land_area]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[land_unit]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.land_unit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[land_unit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_title]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.meta_title')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_title]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_keyword]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.meta_keyword')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_keyword]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_description]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.meta_description')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_description]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[city1]" class="col-sm-2 control-label">
                                        {!! trans('property::property.label.city1')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[city1]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".property-property .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/property.property.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".property-property .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.property-property .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'property.property.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#property-property-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#property-property-list .btn-reset-filter').css('display', 'none');

    });

});
</script>